transpose

- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
transpose
Complete List of ArrayFire Functions ArrayFire Functions by Category » Linear Algebra » | BLAS operations ArrayFire Functions by Category » Functions to create and modify Arrays » | Move and Reorder array content

Matrix Transpose. More...

## Functions
AFAPI array | transpose (const array &in, const bool conjugate=false)
| Transposes a matrix. More...
AFAPI void | transposeInPlace (array &in, const bool conjugate=false)
| Transposes a matrix in-place. More...
AFAPI af_err | af_transpose (af_array *out, af_array in, const bool conjugate)
| Transposes a matrix. More...
AFAPI af_err | af_transpose_inplace (af_array in, const bool conjugate)
| Transposes a matrix in-place. More...

## Detailed Description

Matrix Transpose.

Transposes a matrix

## Function Documentation

AFAPI af_err af_transpose | ( | af_array * | out,
|  | af_array | in,
|  | const bool | conjugate
| ) |  |

Transposes a matrix.

This funciton will tranpose the matrix in.

Parameters

  [out] | out | The transposed matrix
  [in] | in | Input matrix which will be transposed
  [in] | conjugate | Perform a congugate transposition

Returns
  AF_SUCCESS if the process is successful.

AFAPI af_err af_transpose_inplace | ( | af_array | in,
|  | const bool | conjugate
| ) |  |

Transposes a matrix in-place.

Transposes a matrix

Parameters

  [in,out] | in | is the matrix to be transposed in place
  [in] | conjugate | If true a congugate transposition is performed

AFAPI array af::transpose | ( | const array & | in,
|  | const bool | conjugate = `false`
| ) |  |

Transposes a matrix.

Transposes a matrix

Parameters

  [in] | in | Input Matrix
  [in] | conjugate | If true a congugate transposition is performed

Returns
  Transposed matrix

Examples:
  graphics/surface.cpp, and machine_learning/deep_belief_net.cpp.

AFAPI void af::transposeInPlace | ( | array & | in,
|  | const bool | conjugate = `false`
| ) |  |

Transposes a matrix in-place.

Transposes a matrix

Parameters

  [in,out] | in | is the matrix to be transposed in place
  [in] | conjugate | If true a congugate transposition is performed